Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82267 - Changes made through cups admin interface don't propagate back
Summary: Changes made through cups admin interface don't propagate back
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: cups
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-20 17:58 UTC by Owen Taylor
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-22 14:25:54 UTC


Attachments (Terms of Use)

Description Owen Taylor 2003-01-20 17:58:57 UTC
If you change a printer configuration through the http admin
interface for CUPS, they don't show up in redhat-config-printer.

A minimal step would probably to just detect that this occurred
and put up a warning dialog.

Comment 1 Tim Waugh 2003-01-20 18:02:43 UTC
This is generally hard to figure out.  Some experimental code is in
/usr/share/printconf/util/cups_import.py though.  Try running that and see if it
gives any good results.

What changes did you make?  Changes to a redhat-config-printer-managed print
queue will get overwritten (don't do that); new queues should be unaffected (but
the cups_import code could try to propagate it back).

Comment 2 Tim Waugh 2003-01-21 11:52:24 UTC
(Incidentally, this will all get much better once we drop alchemist.)

Comment 3 Owen Taylor 2003-01-21 16:05:26 UTC
What I did was to change a redhat-config-printer managed queue. Can
we manage to somehow display in the CUPS admin interface 
"this queue was created by redhat-config-printer, editing is not
recommended." or something?


Comment 4 Tim Waugh 2003-01-22 13:41:23 UTC
How about if we put that in the 'description' field?  Currently it just says
'Created by redhat-config-printer 0.6.x', but it can be changed.

Comment 5 Tim Waugh 2003-01-22 14:25:54 UTC
Please take a look at cups-1.1.17-8, which has (I think) a neat way of doing this.


Note You need to log in before you can comment on or make changes to this bug.